## com.lowagie.bc.asn1
Class DEROctetString

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1OctetString
              com.lowagie.bc.asn1.DEROctetString

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERConstructedOctetString

    public class DEROctetString

extends ASN1OctetString

Field Summary

Fields inherited from class com.lowagie.bc.asn1.ASN1OctetString
`string`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DEROctetString(byte[] string)`
`DEROctetString(DEREncodable obj)`

Method Summary
`(package private) void` `encode(DEROutputStream out)`

Methods inherited from class com.lowagie.bc.asn1.ASN1OctetString
`equals, getInstance, getInstance, getOctets, hashCode`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DEROctetString

    public DEROctetString(byte[] string)

Parameters:
  `string` - the octets making up the octet string.

### DEROctetString

    public DEROctetString(DEREncodable obj)

Method Detail

### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

  Specified by:
    `encode` in class `ASN1OctetString`
  Throws:
    `java.io.IOException`